.wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;

    .caption {
        font-size: $font-size-large;
        @include marginTop(2);
    }

    .label {
        position: absolute;
        display: flex;
        flex-direction: column;
        align-items: center;

        .percentage {
            font-size: $font-size-xlarge;
            font-weight: bold;
        }

        .capacity {
            font-size: $font-size-small;
            color: $grey-700;
            white-space: nowrap;
        }
    }

    &.xsmall {
        flex-direction: row;

        .caption {
            @include marginRight(2);
            @include marginTop(0);
            font-size: $font-size-base;
        }

        .label {
            position: relative;
            transform: initial !important;
            align-items: flex-start;
            @include marginLeft(2);

            .percentage {
                font-size: $font-size-large;
                line-height: 1.5;
            }

            .capacity {
                font-size: $font-size-xsmall;
            }
        }
    }
}

.svg-indicator {
    transform: rotate(-90deg);

    .svg-indicator--track,
    .svg-indicator--indication {
        fill: transparent;
    }

    .svg-indicator--track {
        stroke: $grey-300;
    }

    .svg-indicator--indication {
        stroke: $violet-800;

        &.animated {
            transition: stroke-dashoffset 0.5s linear;
        }

        &.warning {
            stroke: $yellow-500;
        }

        &.error {
            stroke: $red-600;
        }
    }
}
